This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1296144 - vdsm keeps reporting dhcp lease although it was changed to static ip
vdsm keeps reporting dhcp lease although it was changed to static ip
Status: CLOSED CURRENTRELEASE
Product: vdsm
Classification: oVirt
Component: General (Show other bugs)
4.17.14
x86_64 Linux
unspecified Severity high (vote)
: ovirt-4.0.0-alpha
: 4.17.999
Assigned To: Edward Haas
Michael Burman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 07:50 EST by Michael Burman
Modified: 2016-07-05 03:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 03:38:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
danken: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49097 None None None 2016-01-06 07:55 EST
oVirt gerrit 53076 None None None 2016-02-09 05:01 EST

  None (edit)
Description Michael Burman 2016-01-06 07:50:26 EST
Description of problem:
vdsm keeps reporting dhcp lease although it was changed to static ip.

When changing the bootproto from dhcp to static ip via the command line on the server, vdsCaps continue to report the dhcp lease and will not recognize the change, although the server now have static ip. 

Version-Release number of selected component (if applicable):
vdsm-4.17.15-0.el7ev.noarch

How reproducible:
100

Steps to Reproduce:
1. Install clean rhel 7.2 server with vdsm-4.17.15-0.el7ev.noarch and obtain ip via dhcp server
2. Via ifcfg-* change the bootproto to none/static and set a static ip instead of dhcp
3. Restart network service

Actual results:
vdsm keeps reporting the dhcp lease.
If installing the server in rhev-m it will configure the 'ovirtmgmt' bridge with bootproto=dhcp and not static as should. 

Expected results:
vdsm should report static ip
Comment 1 Edward Haas 2016-02-09 06:37:37 EST
One small remark for clarity:
The patch fixes the described scenario, when no setupNetworks is received by vdsm.
After a successful setupNetworks, vdsm will report the dhcp status as seen in the running configuration and not the actual.

Maybe this scenario deserves its own ticket:
1. Install new host (with dhcp).
2. Add host in engine. (running config is created)
3. In the host, change manually to static ip (and apply).
4. Issue get caps report and see wrongs dhcp as enabled.
Comment 2 Michael Burman 2016-02-09 08:33:08 EST
(In reply to Edward Haas from comment #1)
> One small remark for clarity:
> The patch fixes the described scenario, when no setupNetworks is received by
> vdsm.
> After a successful setupNetworks, vdsm will report the dhcp status as seen
> in the running configuration and not the actual.
> 
> Maybe this scenario deserves its own ticket:
> 1. Install new host (with dhcp).
> 2. Add host in engine. (running config is created)
> 3. In the host, change manually to static ip (and apply).
> 4. Issue get caps report and see wrongs dhcp as enabled.

This scenario have now it's own BZ - 1305880
Comment 3 Michael Burman 2016-04-07 03:23:26 EDT
Verified on - vdsm-4.17.999-892.git435139d.el7.centos.noarch
Comment 4 Sandro Bonazzola 2016-07-05 03:38:48 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.